diff --git a/kmail/rulewidgethandlermanager.cpp b/kmail/rulewidgethandlermanager.cpp
index 18a848149..42ef1ca4c 100644
--- a/kmail/rulewidgethandlermanager.cpp
+++ b/kmail/rulewidgethandlermanager.cpp
@@ -403,7 +403,7 @@ namespace {
     const KMSearchRule::Function id;
     const char *displayName;
   } TextFunctions[] = {
-    { KMSearchRule::FuncContains,           I18N_NOOP( "tqcontains" )          },
+    { KMSearchRule::FuncContains,           I18N_NOOP( "contains" )          },
     { KMSearchRule::FuncContainsNot,        I18N_NOOP( "does not contain" )   },
     { KMSearchRule::FuncEquals,             I18N_NOOP( "equals" )            },
     { KMSearchRule::FuncNotEqual,           I18N_NOOP( "does not equal" )     },
@@ -738,7 +738,7 @@ namespace {
     const KMSearchRule::Function id;
     const char *displayName;
   } MessageFunctions[] = {
-    { KMSearchRule::FuncContains,        I18N_NOOP( "tqcontains" )          },
+    { KMSearchRule::FuncContains,        I18N_NOOP( "contains" )          },
     { KMSearchRule::FuncContainsNot,     I18N_NOOP( "does not contain" )  },
     { KMSearchRule::FuncRegExp,          I18N_NOOP( "matches regular expr." ) },
     { KMSearchRule::FuncNotRegExp,       I18N_NOOP( "does not match reg. expr." ) },
diff --git a/kmail/scalix.cpp b/kmail/scalix.cpp
index 5db8a168d..4910119d0 100644
--- a/kmail/scalix.cpp
+++ b/kmail/scalix.cpp
@@ -60,7 +60,7 @@ KMFolder* Utils::findStandardResourceFolder( KMFolderDir* folderParentDir,
   typeMap.insert( KMail::ContentsTypeNote, "IPF.StickyNote" );
   typeMap.insert( KMail::ContentsTypeTask, "IPF.Task" );
 
-  if ( !typeMap.tqcontains( contentsType ) )
+  if ( !typeMap.contains( contentsType ) )
     return 0;
 
   for ( uint i = 0; i < attributes.count(); ++i ) {
diff --git a/kmail/searchjob.cpp b/kmail/searchjob.cpp
index a9eb35365..1a979d4f9 100644
--- a/kmail/searchjob.cpp
+++ b/kmail/searchjob.cpp
@@ -305,7 +305,7 @@ void SearchJob::slotSearchMessageArrived( KMMessage* msg )
       // imap and local search have to match
       if ( mLocalSearchPattern->matches( msg ) &&
           ( mImapSearchHits.isEmpty() ||
-           mImapSearchHits.tqfind( TQString::number(msg->UID() ) ) != mImapSearchHits.end() ) ) {
+           mImapSearchHits.find( TQString::number(msg->UID() ) ) != mImapSearchHits.end() ) ) {
         TQ_UINT32 serNum = msg->getMsgSerNum();
         mSearchSerNums.append( serNum );
         matches = true;
@@ -313,7 +313,7 @@ void SearchJob::slotSearchMessageArrived( KMMessage* msg )
     } else if ( mLocalSearchPattern->op() == KMSearchPattern::OpOr ) {
       // imap or local search have to match
       if ( mLocalSearchPattern->matches( msg ) ||
-          mImapSearchHits.tqfind( TQString::number(msg->UID()) ) != mImapSearchHits.end() ) {
+          mImapSearchHits.find( TQString::number(msg->UID()) ) != mImapSearchHits.end() ) {
         TQ_UINT32 serNum = msg->getMsgSerNum();
         mSearchSerNums.append( serNum );
         matches = true;
diff --git a/kmail/searchwindow.cpp b/kmail/searchwindow.cpp
index 24d08a069..6250d761d 100644
--- a/kmail/searchwindow.cpp
+++ b/kmail/searchwindow.cpp
@@ -110,7 +110,7 @@ SearchWindow::SearchWindow(KMMainWidget* w, const char* name,
                          KMFolder *curFolder, bool modal):
   KDialogBase(0, name, modal, i18n("Find Messages"),
               User1 | User2 | Close, User1, false,
-              KGuiItem( i18n("&Search"), "tqfind" ),
+              KGuiItem( i18n("&Search"), "find" ),
               KStdGuiItem::stop()),
   mStopped(false),
   mCloseRequested(false),
@@ -494,7 +494,7 @@ void SearchWindow::slotSearch()
       TQString fullName = baseName;
       int count = 0;
       KMFolder *folder;
-      while ((folder = mgr->tqfind(fullName))) {
+      while ((folder = mgr->find(fullName))) {
         if (folder->storage()->inherits("KMFolderSearch"))
           break;
         fullName = TQString("%1 %2").tqarg(baseName).tqarg(++count);
@@ -563,7 +563,7 @@ void SearchWindow::slotAddMsg(int idx)
     KMMessage *msg = mFolder->getMsg(idx);
     TQString from, fName;
     KMFolder *pFolder = msg->tqparent();
-    if (!mFolders.tqcontains(pFolder)) {
+    if (!mFolders.contains(pFolder)) {
         mFolders.append(pFolder);
         pFolder->open("searchwindow");
     }
@@ -648,7 +648,7 @@ void SearchWindow::renameSearchFolder()
         int i = 1;
         TQString name =  mSearchFolderEdt->text();
         while (i < 100) {
-            if (!kmkernel->searchFolderMgr()->tqfind( name )) {
+            if (!kmkernel->searchFolderMgr()->find( name )) {
                 mFolder->rename( name );
                 kmkernel->searchFolderMgr()->contentsChanged();
                 break;
diff --git a/kmail/simplefoldertree.h b/kmail/simplefoldertree.h
index 92545c665..00632fbde 100644
--- a/kmail/simplefoldertree.h
+++ b/kmail/simplefoldertree.h
@@ -50,7 +50,7 @@ static int recurseFilter( TQListViewItem * item, const TQString& filter, int col
     }
 
     if ( filter.length() == 0 ||
-         item->text( column ).tqfind( filter, 0, false ) >= 0 ) {
+         item->text( column ).find( filter, 0, false ) >= 0 ) {
       item->setVisible( true );
       ++enabled;
     }
diff --git a/kmail/snippetwidget.cpp b/kmail/snippetwidget.cpp
index 442a36e15..4dba053ed 100644
--- a/kmail/snippetwidget.cpp
+++ b/kmail/snippetwidget.cpp
@@ -146,7 +146,7 @@ SnippetItem* SnippetWidget::makeItem( SnippetItem* tqparent, const TQString& nam
 {
     SnippetItem * item = new SnippetItem(tqparent, name, text);
     const TQString actionName = i18n("Snippet %1").tqarg(name);
-    const TQString normalizedName = TQString(actionName).tqreplace(" ", "_");
+    const TQString normalizedName = TQString(actionName).replace(" ", "_");
     if ( !mActionCollection->action(normalizedName.utf8().data() ) ) {
         KAction * action = new KAction( actionName, shortcut, item,
                                         TQT_SLOT( slotExecute() ), mActionCollection,
@@ -578,9 +578,9 @@ TQString SnippetWidget::parseText(TQString text, TQString del)
   TQRect rMulti = _SnippetConfig.getMultiRect();
 
   do {
-    iFound = text.tqfind(TQRegExp("\\"+del+"[A-Za-z-_0-9\\s]*\\"+del), iEnd+1);  //find the next variable by this TQRegExp
+    iFound = text.find(TQRegExp("\\"+del+"[A-Za-z-_0-9\\s]*\\"+del), iEnd+1);  //find the next variable by this TQRegExp
     if (iFound >= 0) {
-      iEnd = text.tqfind(del, iFound+1)+1;
+      iEnd = text.find(del, iFound+1)+1;
       strName = text.mid(iFound, iEnd-iFound);
 
       if ( strName != del+del  ) {  //if not doubel-delimiter
@@ -601,7 +601,7 @@ TQString SnippetWidget::parseText(TQString text, TQString del)
       }
 
       if (iInMeth == 0) {  //if input-method "single" is selected
-        str.tqreplace(strName, strNew);
+        str.replace(strName, strNew);
       }
 
       mapVar[strName] = strNew;
@@ -616,7 +616,7 @@ TQString SnippetWidget::parseText(TQString text, TQString del)
     if (showMultiVarDialog( &mapVar, &_mapSaved, w, bh, oh )) {  //generate and show the dialog
       TQMap<TQString, TQString>::Iterator it;
       for ( it = mapVar.begin(); it != mapVar.end(); ++it ) {  //walk through the map and do the replacement
-        str.tqreplace(it.key(), it.data());
+        str.replace(it.key(), it.data());
       }
     } else {
       return "";
diff --git a/kmail/templateparser.cpp b/kmail/templateparser.cpp
index 775d9a938..dab5665e0 100644
--- a/kmail/templateparser.cpp
+++ b/kmail/templateparser.cpp
@@ -126,7 +126,7 @@ TQString TemplateParser::getFName( const TQString &str )
   // last resort -- return 'name' from 'name@domain'
   int sep_pos;
   TQString res;
-  if ( ( sep_pos = str.tqfind( '@' ) ) > 0 ) {
+  if ( ( sep_pos = str.find( '@' ) ) > 0 ) {
     int i;
     for ( i = (sep_pos - 1); i >= 0; --i ) {
       TQChar c = str[i];
@@ -136,7 +136,7 @@ TQString TemplateParser::getFName( const TQString &str )
         break;
       }
     }
-  } else if ( ( sep_pos = str.tqfind(',') ) > 0 ) {
+  } else if ( ( sep_pos = str.find(',') ) > 0 ) {
     unsigned int i;
     bool begin = false;
     for ( i = sep_pos; i < str.length(); ++i ) {
@@ -169,7 +169,7 @@ TQString TemplateParser::getLName( const TQString &str )
   // else format is 'First Last'
   int sep_pos;
   TQString res;
-  if ( ( sep_pos = str.tqfind(',') ) > 0 ) {
+  if ( ( sep_pos = str.find(',') ) > 0 ) {
     int i;
     for ( i = sep_pos; i >= 0; --i ) {
       TQChar c = str[i];
@@ -180,7 +180,7 @@ TQString TemplateParser::getLName( const TQString &str )
       }
     }
   } else {
-    if ( ( sep_pos = str.tqfind( ' ' ) ) > 0 ) {
+    if ( ( sep_pos = str.find( ' ' ) ) > 0 ) {
       unsigned int i;
       bool begin = false;
       for ( i = sep_pos; i < str.length(); ++i ) {
@@ -963,7 +963,7 @@ void TemplateParser::addProcessedBodyToMessage( const TQString &body )
 
           // Converting to a string here, since DwMediaType does not have a HasParameter() function
           TQString ctStr = ct.AsString().c_str();
-          if ( !ctStr.lower().tqcontains( "name=" ) && !ctStr.lower().tqcontains( "filename=" ) ) {
+          if ( !ctStr.lower().contains( "name=" ) && !ctStr.lower().contains( "filename=" ) ) {
             DwParameter *nameParameter = new DwParameter;
             nameParameter->SetAttribute( "name" );
             nameParameter->SetValue( Util::dwString( KMMsgBase::encodeRFC2231StringAutoDetectCharset(
diff --git a/kmail/tests/messagedicttests.cpp b/kmail/tests/messagedicttests.cpp
index e11bc3915..cdb24f6d8 100644
--- a/kmail/tests/messagedicttests.cpp
+++ b/kmail/tests/messagedicttests.cpp
@@ -42,7 +42,7 @@ void MessageDictTester::testKMDictInsert()
     p("Insert: ");
     KMDictItem *item = new KMDictItem();
     m_dict->insert( 12345, item );
-    KMDictItem *found = m_dict->tqfind( 12345 );
+    KMDictItem *found = m_dict->find( 12345 );
     CHECK( item, found);
 }
  
@@ -50,7 +50,7 @@ void MessageDictTester::testKMDictRemove()
 {
   p("Remove: ");
   m_dict->remove( 12345 );
-  KMDictItem *item = m_dict->tqfind( 12345 );
+  KMDictItem *item = m_dict->find( 12345 );
   CHECK( item, (KMDictItem*)0 );
 }
 
@@ -65,13 +65,13 @@ void MessageDictTester::testKMDictClear()
 
 void MessageDictTester::testKMDictReplace()
 {
-  p("Check tqreplace: ");
+  p("Check replace: ");
   m_dict->init( 31 );
   KMDictItem *oldItem = new KMDictItem();
   KMDictItem *newItem = new KMDictItem();
   m_dict->insert( 12345, oldItem );
-  m_dict->tqreplace( 12345, newItem );
-  KMDictItem *found = m_dict->tqfind( 12345 );
+  m_dict->replace( 12345, newItem );
+  KMDictItem *found = m_dict->find( 12345 );
   CHECK( found, newItem );
 }
 
diff --git a/kmail/tests/mimelibtests.cpp b/kmail/tests/mimelibtests.cpp
index 34a4f4692..b152fdcf6 100644
--- a/kmail/tests/mimelibtests.cpp
+++ b/kmail/tests/mimelibtests.cpp
@@ -39,8 +39,8 @@ KUNITTEST_MODULE_REGISTER_TESTER( MimeLibTester );
 static TQString makePrintable( const TQCString& str )
 {
   TQString a = str;
-  a = a.tqreplace( '\r', "\\r" );
-  a = a.tqreplace( '\n', "\\n" );
+  a = a.replace( '\r', "\\r" );
+  a = a.replace( '\n', "\\n" );
   return a;
 }
 #endif
@@ -48,8 +48,8 @@ static TQString makePrintable( const TQCString& str )
 static TQString makePrintable( const DwString& str )
 {
   TQString a = KMail::Util::CString( str ); // ## we assume latin1
-  a = a.tqreplace( '\r', "\\r" );
-  a = a.tqreplace( '\n', "\\n" );
+  a = a.replace( '\r', "\\r" );
+  a = a.replace( '\n', "\\n" );
   return a;
 }
 
diff --git a/kmail/tests/utiltests.cpp b/kmail/tests/utiltests.cpp
index ec6c13543..d0b3135be 100644
--- a/kmail/tests/utiltests.cpp
+++ b/kmail/tests/utiltests.cpp
@@ -30,8 +30,8 @@ void UtilTester::tearDown()
 static TQString makePrintable( const TQCString& str )
 {
   TQString a = str;
-  a = a.tqreplace( '\r', "\\r" );
-  a = a.tqreplace( '\n', "\\n" );
+  a = a.replace( '\r', "\\r" );
+  a = a.replace( '\n', "\\n" );
   return a;
 }
 static TQString makePrintable( const TQByteArray& arr )
diff --git a/kmail/tips b/kmail/tips
index 9aef85361..1defde798 100644
--- a/kmail/tips
+++ b/kmail/tips
@@ -18,7 +18,7 @@ subject and mailing lists with <em>Tools-&gt;Create&nbsp;Filter</em>?</p>
 added to the subject of some mailing lists by using the <em>rewrite
 header</em> filter action? Just use
 <pre>rewrite header &quot;Subject&quot;
-   tqreplace &quot;\s*\[mailing list name\]\s*&quot;
+   replace &quot;\s*\[mailing list name\]\s*&quot;
    with &quot;&quot;</pre>
 </p>
 </html>
@@ -60,7 +60,7 @@ in the first edit field of a search rule?</p>
 <tip category="KMail|Filters">
 <html>
 <p>...that you can filter out HTML only messages with the rule
-<pre>&quot;Content-type&quot; tqcontains &quot;text/html&quot;?</pre>
+<pre>&quot;Content-type&quot; contains &quot;text/html&quot;?</pre>
 </p>
 </html>
 </tip>
diff --git a/kmail/transportmanager.cpp b/kmail/transportmanager.cpp
index bde290905..e80d1cb27 100644
--- a/kmail/transportmanager.cpp
+++ b/kmail/transportmanager.cpp
@@ -60,7 +60,7 @@ namespace KMail {
     do
     {
       newId = kapp->random();
-    } while ( usedIds.tqfind(newId) != usedIds.end() );
+    } while ( usedIds.find(newId) != usedIds.end() );
 
     return newId;
   }
diff --git a/kmail/urlhandlermanager.cpp b/kmail/urlhandlermanager.cpp
index 0ef6bfd24..7b88c0291 100644
--- a/kmail/urlhandlermanager.cpp
+++ b/kmail/urlhandlermanager.cpp
@@ -732,7 +732,7 @@ namespace {
     Q_UNUSED( window );
     Q_UNUSED( url );
     const TQString kmailImagePath = locate( "data", "kmail/pics/" );
-    if ( imagePath.tqcontains( kmailImagePath ) ) {
+    if ( imagePath.contains( kmailImagePath ) ) {
       // Do nothing, don't start a drag
       return true;
     }
@@ -745,7 +745,7 @@ namespace {
     Q_UNUSED( window );
     Q_UNUSED( url );
     const TQString kmailImagePath = locate( "data", "kmail/pics/" );
-    return imagePath.tqcontains( kmailImagePath );
+    return imagePath.contains( kmailImagePath );
   }
 }
 
diff --git a/kmail/vacation.cpp b/kmail/vacation.cpp
index d3440a975..cee3a3cb1 100644
--- a/kmail/vacation.cpp
+++ b/kmail/vacation.cpp
@@ -212,7 +212,7 @@ namespace {
   static const GenericInformationExtractor::StateNode spamNodes[] = {
     { 0, GIE::CommandStart, "if",  1, 0, 0 },              // 0
     { 0,   GIE::TestStart, "header", 2, 0, 0 },            // 1
-    { 0,     GIE::TaggedArgument, "tqcontains", 3, 0, 0 },   // 2
+    { 0,     GIE::TaggedArgument, "contains", 3, 0, 0 },   // 2
 
     // accept both string and string-list:
     { 0,     GIE::StringArgument, "x-spam-flag", 9, 4, "x-spam-flag" },    // 3
@@ -232,7 +232,7 @@ namespace {
 
     { 0,   GIE::TestEnd, 0, 16, 0, 0 }, // 15
 
-    // block of command, tqfind "stop", take nested if's into account:
+    // block of command, find "stop", take nested if's into account:
     { 0,   GIE::BlockStart, 0, 17, 0, 0 },                // 16
     { 1,     GIE::CommandStart, "stop", 20, 19, "stop" }, // 17
     { -1,    GIE::Any, 0, 17, 0, 0 },                     // 18
@@ -259,7 +259,7 @@ namespace {
 
   // to understand this table, study the output of
   // libksieve/tests/parsertest
-  //   'if not address :domain :tqcontains ["from"] ["mydomain.org"] { keep; stop; }'
+  //   'if not address :domain :contains ["from"] ["mydomain.org"] { keep; stop; }'
   static const GenericInformationExtractor::StateNode domainNodes[] = {
     { 0, GIE::CommandStart, "if", 1, 0, 0 },       // 0
     { 0,   GIE::TestStart, "not", 2, 0, 0, },      // 1
@@ -267,8 +267,8 @@ namespace {
 
     // :domain and :contains in arbitrary order:
     { 0,       GIE::TaggedArgument, "domain", 4, 5, 0 },     // 3
-    { 0,       GIE::TaggedArgument, "tqcontains", 7, 0, 0 },   // 4
-    { 0,       GIE::TaggedArgument, "tqcontains", 6, 0, 0 },   // 5
+    { 0,       GIE::TaggedArgument, "contains", 7, 0, 0 },   // 4
+    { 0,       GIE::TaggedArgument, "contains", 6, 0, 0 },   // 5
     { 0,       GIE::TaggedArgument, "domain", 7, 0, 0 },     // 6
 
     // accept both string and string-list:
@@ -288,7 +288,7 @@ namespace {
     { 0,     GIE::TestEnd, 0, 18, 0, 0 },  // 17
     { 0,   GIE::TestEnd, 0, 19, 0, 0 },    // 18
 
-    // block of commands, tqfind "stop", take nested if's into account:
+    // block of commands, find "stop", take nested if's into account:
     { 0,   GIE::BlockStart, 0, 20, 0, 0 },                 // 19
     { 1,     GIE::CommandStart, "stop", 23, 22, "stop" },  // 20
     { -1,    GIE::Any, 0, 20, 0, 0 },                      // 21
@@ -448,9 +448,9 @@ namespace KMail {
 
   static inline TQString dotstuff( TQString s ) {
     if ( s.startsWith( "." ) )
-      return '.' + s.tqreplace( "\n.", "\n.." );
+      return '.' + s.replace( "\n.", "\n.." );
     else
-      return s.tqreplace( "\n.", "\n.." );
+      return s.replace( "\n.", "\n.." );
   }
 
   TQString Vacation::composeScript( const TQString & messageText,
@@ -464,18 +464,18 @@ namespace KMail {
       addressesArgument += ":addresses [ ";
       TQStringList sl;
       for ( AddrSpecList::const_iterator it = addrSpecs.begin() ; it != addrSpecs.end() ; ++it ) {
-	sl.push_back( '"' + (*it).asString().tqreplace( '\\', "\\\\" ).tqreplace( '"', "\\\"" ) + '"' );
+	sl.push_back( '"' + (*it).asString().replace( '\\', "\\\\" ).replace( '"', "\\\"" ) + '"' );
 	aliases.push_back( (*it).asString() );
       }
       addressesArgument += sl.join( ", " ) + " ] ";
     }
     TQString script = TQString::tqfromLatin1("require \"vacation\";\n\n" );
     if ( !sendForSpam )
-      script += TQString::tqfromLatin1( "if header :tqcontains \"X-Spam-Flag\" \"YES\""
+      script += TQString::tqfromLatin1( "if header :contains \"X-Spam-Flag\" \"YES\""
                                      " { keep; stop; }\n" ); // FIXME?
 
     if ( !domain.isEmpty() ) // FIXME
-      script += TQString::tqfromLatin1( "if not address :domain :tqcontains \"from\" \"%1\" { keep; stop; }\n" ).tqarg( domain );
+      script += TQString::tqfromLatin1( "if not address :domain :contains \"from\" \"%1\" { keep; stop; }\n" ).tqarg( domain );
 
     script += "vacation ";
     script += addressesArgument;
@@ -608,7 +608,7 @@ namespace KMail {
     mSieveJob = 0; // job deletes itself after returning from this slot!
 
     if ( !mCheckOnly && mUrl.protocol() == "sieve" && !job->sieveCapabilities().isEmpty() &&
-	 !job->sieveCapabilities().tqcontains("vacation") ) {
+	 !job->sieveCapabilities().contains("vacation") ) {
       KMessageBox::sorry( 0, i18n("Your server did not list \"vacation\" in "
 				  "its list of supported Sieve extensions;\n"
 				  "without it, KMail cannot install out-of-"
diff --git a/kmailcvt/filter_evolution.cxx b/kmailcvt/filter_evolution.cxx
index e2d0ff50e..417dd8e58 100644
--- a/kmailcvt/filter_evolution.cxx
+++ b/kmailcvt/filter_evolution.cxx
@@ -128,14 +128,14 @@ void FilterEvolution::importMBox(FilterInfo *info, const TQString& mboxName, con
         info->setCurrent(0);
         if( mboxName.length() > 20 ) {
             TQString tmp_info = mboxName;
-            tmp_info = tmp_info.tqreplace( mailDir, ".." );
-            if (tmp_info.tqcontains("subfolders/"))
+            tmp_info = tmp_info.replace( mailDir, ".." );
+            if (tmp_info.contains("subfolders/"))
                 tmp_info.remove("subfolders/");
             info->setFrom( tmp_info );
             tmp_from = tmp_info;
         } else
             info->setFrom(mboxName);
-        if(targetDir.tqcontains("subfolders/")) {
+        if(targetDir.contains("subfolders/")) {
             TQString tmp_info = targetDir;
             tmp_info.remove("subfolders/");
             info->setTo(tmp_info);
diff --git a/kmailcvt/filter_evolution_v2.cxx b/kmailcvt/filter_evolution_v2.cxx
index 55a4817e9..29b636b90 100644
--- a/kmailcvt/filter_evolution_v2.cxx
+++ b/kmailcvt/filter_evolution_v2.cxx
@@ -164,13 +164,13 @@ void FilterEvolution_v2::importMBox(FilterInfo *info, const TQString& mboxName,
         info->setCurrent(0);
         if( mboxName.length() > 20 ) {
             TQString tmp_info = mboxName;
-            tmp_info = tmp_info.tqreplace( mailDir, "../" );
-            if (tmp_info.tqcontains(".sbd"))
+            tmp_info = tmp_info.replace( mailDir, "../" );
+            if (tmp_info.contains(".sbd"))
                 tmp_info.remove(".sbd");
             info->setFrom( tmp_info );
         } else
             info->setFrom(mboxName);
-        if(targetDir.tqcontains(".sbd")) {
+        if(targetDir.contains(".sbd")) {
             TQString tmp_info = targetDir;
             tmp_info.remove(".sbd");
             info->setTo(tmp_info);
@@ -206,12 +206,12 @@ void FilterEvolution_v2::importMBox(FilterInfo *info, const TQString& mboxName,
             TQString destFolder;
             TQString _targetDir = targetDir;
             if(!targetDir.isNull()) {
-                if(_targetDir.tqcontains(".sbd"))
+                if(_targetDir.contains(".sbd"))
                     _targetDir.remove(".sbd");
                 destFolder += "Evolution-Import/" + _targetDir + "/" + filenameInfo.baseName(TRUE); // mboxName;
             } else {
                 destFolder = "Evolution-Import/" + rootDir;
-                if(destFolder.tqcontains(".sbd"))
+                if(destFolder.contains(".sbd"))
                     destFolder.remove(".sbd");
             }
 
diff --git a/kmailcvt/filter_pmail.cxx b/kmailcvt/filter_pmail.cxx
index bc412f345..52c5c7fc6 100644
--- a/kmailcvt/filter_pmail.cxx
+++ b/kmailcvt/filter_pmail.cxx
@@ -228,8 +228,8 @@ void FilterPMail::importUnixMailFolder(const TQString& file)
     int n = 0, l = 0;
 
     /** Get the folder name */
-    s.tqreplace( TQRegExp("mbx$"), "pmg");
-    s.tqreplace( TQRegExp("MBX$"), "PMG");
+    s.replace( TQRegExp("mbx$"), "pmg");
+    s.replace( TQRegExp("MBX$"), "PMG");
     f.setName(s);
     if (! f.open( IO_ReadOnly ) ) {
         inf->alert( i18n("Unable to open %1, skipping").tqarg( s ) );
diff --git a/kmailcvt/filter_thebat.cxx b/kmailcvt/filter_thebat.cxx
index 1ec747789..2ea7dc580 100644
--- a/kmailcvt/filter_thebat.cxx
+++ b/kmailcvt/filter_thebat.cxx
@@ -169,16 +169,16 @@ void FilterTheBat::importFiles( FilterInfo *info, const TQString& FileName)
 	    if (tbb.atEnd())
  		break;
 
-            iFound = _tmp.tqcontains(regexp);
+            iFound = _tmp.contains(regexp);
             if(!iFound) {
-                iFound = _tmp.tqfindRev("!");
+                iFound = _tmp.findRev("!");
                 if (iFound >= 0 && ((l-iFound) < 5) ) {
                     int _i = tbb.at();
                     tbb.at((_i - iFound));
                 }
             } else {
                 ++count;
-                endOfEmail = (tbb.at() - l + _tmp.tqfind(regexp));
+                endOfEmail = (tbb.at() - l + _tmp.find(regexp));
                 offsets.append(endOfEmail);
             }
         }
diff --git a/kmailcvt/filter_thunderbird.cxx b/kmailcvt/filter_thunderbird.cxx
index e0c4060eb..301d29d0e 100644
--- a/kmailcvt/filter_thunderbird.cxx
+++ b/kmailcvt/filter_thunderbird.cxx
@@ -165,13 +165,13 @@ void FilterThunderbird::importMBox(FilterInfo *info, const TQString& mboxName, c
         info->setCurrent(0);
         if( mboxName.length() > 20 ) {
             TQString tmp_info = mboxName;
-            tmp_info = tmp_info.tqreplace( mailDir, "../" );
-            if (tmp_info.tqcontains(".sbd"))
+            tmp_info = tmp_info.replace( mailDir, "../" );
+            if (tmp_info.contains(".sbd"))
                 tmp_info.remove(".sbd");
             info->setFrom( tmp_info );
         } else
             info->setFrom(mboxName);
-        if(targetDir.tqcontains(".sbd")) {
+        if(targetDir.contains(".sbd")) {
             TQString tmp_info = targetDir;
             tmp_info.remove(".sbd");
             info->setTo(tmp_info);
@@ -207,12 +207,12 @@ void FilterThunderbird::importMBox(FilterInfo *info, const TQString& mboxName, c
             TQString destFolder;
             TQString _targetDir = targetDir;
             if(!targetDir.isNull()) {
-                if(_targetDir.tqcontains(".sbd"))
+                if(_targetDir.contains(".sbd"))
                     _targetDir.remove(".sbd");
                 destFolder += "Thunderbird-Import/" + _targetDir + "/" + filenameInfo.baseName(TRUE);// mboxName;
             } else {
                 destFolder = "Thunderbird-Import/" + rootDir;
-                if(destFolder.tqcontains(".sbd"))
+                if(destFolder.contains(".sbd"))
                     destFolder.remove(".sbd");
             }
 
diff --git a/kmobile/devices/gnokii/gnokii_mobile.cpp b/kmobile/devices/gnokii/gnokii_mobile.cpp
index 7ceb5ea7c..2fef0da67 100644
--- a/kmobile/devices/gnokii/gnokii_mobile.cpp
+++ b/kmobile/devices/gnokii/gnokii_mobile.cpp
@@ -378,7 +378,7 @@ static gn_error read_phone_entry_highlevel( int index, const gn_memory_type memt
   // try to split Name into FamilyName and GivenName
   s = TQString(entry.name).simplifyWhiteSpace();
   a->setFormattedName(s);
-  if (s.tqfind(',')!=-1) {
+  if (s.find(',')!=-1) {
   	addrlist = TQStringList::split(',', s);
 	if (addrlist.count()==2) {
 		a->setFamilyName(addrlist[0].simplifyWhiteSpace());
diff --git a/kmobile/devices/gnokii/gnokiiconfig.cpp b/kmobile/devices/gnokii/gnokiiconfig.cpp
index f5bcd648e..e8ad19bdd 100644
--- a/kmobile/devices/gnokii/gnokiiconfig.cpp
+++ b/kmobile/devices/gnokii/gnokiiconfig.cpp
@@ -85,7 +85,7 @@ void GnokiiConfig::getValues(TQString &model, TQString &connection, TQString &po
 
 void GnokiiConfig::slotCheckValues(const TQString &txt)
 {
-   bool disable_serial = (TQString("infrared irda").tqfind(txt,0,false)>=0);
+   bool disable_serial = (TQString("infrared irda").find(txt,0,false)>=0);
    textLabelBaudRate->setDisabled(disable_serial);
    cb_Baud->setDisabled(disable_serial);
 }
diff --git a/kmobile/kioslave/kio_mobile.cpp b/kmobile/kioslave/kio_mobile.cpp
index 94d803306..cc7482072 100644
--- a/kmobile/kioslave/kio_mobile.cpp
+++ b/kmobile/kioslave/kio_mobile.cpp
@@ -405,7 +405,7 @@ int KMobileProtocol::getVCard( const TQString &devName, TQCString &result, TQStr
 {
   PRINT_DEBUG << TQString("getVCard(%1)\n").tqarg(path);
 
-  int index = path.tqfind('.');
+  int index = path.find('.');
   if (index>0)
 	index = path.left(index).toInt();
   if (index<0 || index>=m_dev.numAddresses(devName))
@@ -494,7 +494,7 @@ int KMobileProtocol::getNote( const TQString &devName, TQCString &result, TQStri
 {
   PRINT_DEBUG << TQString("getNote(%1)\n").tqarg(path);
 
-  int index = path.tqfind('_');
+  int index = path.find('_');
   if (index>0)
 	index = path.left(index).toInt();
   if (index<0 || index>=m_dev.numNotes(devName))
diff --git a/kmobile/kmobileitem.cpp b/kmobile/kmobileitem.cpp
index cb4473f80..5469902ee 100644
--- a/kmobile/kmobileitem.cpp
+++ b/kmobile/kmobileitem.cpp
@@ -39,7 +39,7 @@ KMobileItem::KMobileItem(TQIconView *tqparent, KConfig *_config, KService::Ptr s
 	setText(service->name());
 	m_tqdeviceDesktopFile = service->desktopEntryName();
 	m_tqdeviceConfigFile = TQString("kmobile_%1_rc").tqarg(text());
-	m_tqdeviceConfigFile = m_tqdeviceConfigFile.tqreplace(' ', "");
+	m_tqdeviceConfigFile = m_tqdeviceConfigFile.replace(' ', "");
 	m_iconName = service->icon();
    };
 
@@ -118,9 +118,9 @@ void KMobileItem::writeKonquMimeFile() const
 {
    // strip path and file extension of icon name
    TQString icon = m_iconName;
-   int p = icon.tqfindRev('/');
+   int p = icon.findRev('/');
    if (p>=0) icon = icon.mid(p+1);
-   p = icon.tqfind('.');
+   p = icon.find('.');
    if (p>=0) icon = icon.left(p);
 
    TQString comment;
diff --git a/knode/ChangeLog b/knode/ChangeLog
index 646df19d0..f9585f5f5 100644
--- a/knode/ChangeLog
+++ b/knode/ChangeLog
@@ -130,7 +130,7 @@ changes between 0.1.13 and 0.3.2
 - ability to display attachments inline
 - posting of MIME multipart-messages (attachments)
 - significantly improved composer:
-  + all standard editor features (tqfind, tqreplace, select all, ...)
+  + all standard editor features (find, replace, select all, ...)
   + spellchecker
   + optional external editor
   + nice attachment handling
